<?php
namespace Mm\Filapp\Controller;


/***
 *
 * This file is part of the "FirstInvestLocal" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2020 Andreas Jud <ajud@millemedia.de>, Millemedia GmbH
 *
 ***/
/**
 * DisplayController
 */
class DisplayController extends \TYPO3\CMS\Extbase\Mvc\Controller\ActionController
{

    /**
     * projectRepository
     * 
     * @var \Mm\Filapp\Domain\Repository\ProjectRepository
     */
    protected $projectRepository = null;

    /**
     * branchRepository
	 *
     * @TYPO3\CMS\Extbase\Annotation\Inject
     * @var \Mm\Filapp\Domain\Repository\BranchRepository
     */
    protected $branchRepository = null;

    /**
     * companytypeRepository
	 *
     * @TYPO3\CMS\Extbase\Annotation\Inject
     * @var \Mm\Filapp\Domain\Repository\CompanytypeRepository
     */
    protected $companytypeRepository = null;

    /**
     * volumesRepository
	 *
     * @TYPO3\CMS\Extbase\Annotation\Inject
     * @var \Mm\Filapp\Domain\Repository\VolumesRepository
     */
    protected $volumesRepository = null;

    /**
	 *
     * @TYPO3\CMS\Extbase\Annotation\Inject
     * @var \SJBR\StaticInfoTables\Domain\Repository\CountryRepository
     */
    protected $countryRepository = null;

    /**
	 *
     * @TYPO3\CMS\Extbase\Annotation\Inject
     * @var \SJBR\StaticInfoTables\Domain\Repository\CountryZoneRepository
     */
    protected $countryZoneRepository = null;

    /**
     * @param \Mm\Filapp\Domain\Repository\ProjectRepository $projectRepository
     */
    public function injectProjectRepository(\Mm\Filapp\Domain\Repository\ProjectRepository $projectRepository)
    {
        $this->projectRepository = $projectRepository;
    }

    /**
     * action listOpen
	 *   
     * @param array $search
     * 
     * @return void
     */
    public function listOpenAction($search = NULL)
    {
        $branches = $this->branchRepository->findAll();
        $this->view->assign('branches', $branches);
        $cotypes = $this->companytypeRepository->findAll();
        $this->view->assign('cotypes', $cotypes);
        $volumes = $this->volumesRepository->findAll();
        $this->view->assign('volumes', $volumes);
            	
    	if ($this->request->hasArgument('search')) {
    		$search = $this->request->getArgument('search');
    		
    		if ($search['branch']) {
    			$sbranch = $search['branch'];
    		}
    		if ($search['zone']) {
    			$szone = $search['zone'];
    		}
    		if ($search['volume']) {
    			$svolume = $this->volumesRepository->findByUid($search['volume']);
    			$svolumeFrom = $svolume->getVolumeFrom();
    			$svolumeTo = $svolume->getVolumeTo();;
    			//\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($svolumeFrom);
    		}
    		
    		$projects = $this->projectRepository->findBySearch($sbranch, $szone, $svolumeFrom, $svolumeTo);
    	}
    		
    		
        
        //\TYPO3\CMS\Extbase\Utility\DebuggerUtility::var_dump($projects);
        $this->view->assign('search', $search);
        $this->view->assign('projects', $projects);
    }

    /**
     * action showOpen
     * 
     * @param \Mm\Filapp\Domain\Model\Project $project
     * @return void
     */
    public function showOpenAction(\Mm\Filapp\Domain\Model\Project $project)
    {
        $this->view->assign('project', $project);
    }




}
