<?php
namespace Mm\Filapp\Domain\Model;


/***
 *
 * This file is part of the "FirstInvestLocal" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2020 Andreas Jud <ajud@millemedia.de>, Millemedia GmbH
 *
 ***/
/**
 * Feuser
 */
class Feuser extends \TYPO3\CMS\Extbase\Domain\Model\FrontendUser
{

    /**
     * filType
     * 
     * @var int
     */
    protected $filType = 0;

    /**
     * project
     * 
     * @var \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Mm\Filapp\Domain\Model\Project>
     */
    protected $project = null;

    /**
     * __construct
     */
    public function __construct()
    {

        //Do not remove the next line: It would break the functionality
        $this->initStorageObjects();
    }

    /**
     * Initializes all ObjectStorage properties
     * Do not modify this method!
     * It will be rewritten on each save in the extension builder
     * You may modify the constructor of this class instead
     * 
     * @return void
     */
    protected function initStorageObjects()
    {
        $this->project = new \TYPO3\CMS\Extbase\Persistence\ObjectStorage();
    }

    /**
     * Returns the filType
     * 
     * @return int $filType
     */
    public function getFilType()
    {
        return $this->filType;
    }

    /**
     * Sets the filType
     * 
     * @param int $filType
     * @return void
     */
    public function setFilType($filType)
    {
        $this->filType = $filType;
    }

    /**
     * Adds a Project
     * 
     * @param \Mm\Filapp\Domain\Model\Project $project
     * @return void
     */
    public function addProject(\Mm\Filapp\Domain\Model\Project $project)
    {
        $this->project->attach($project);
    }

    /**
     * Removes a Project
     * 
     * @param \Mm\Filapp\Domain\Model\Project $projectToRemove The Project to be removed
     * @return void
     */
    public function removeProject(\Mm\Filapp\Domain\Model\Project $projectToRemove)
    {
        $this->project->detach($projectToRemove);
    }

    /**
     * Returns the project
     * 
     * @return \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Mm\Filapp\Domain\Model\Project> $project
     */
    public function getProject()
    {
        return $this->project;
    }

    /**
     * Sets the project
     * 
     * @param \TYPO3\CMS\Extbase\Persistence\ObjectStorage<\Mm\Filapp\Domain\Model\Project> $project
     * @return void
     */
    public function setProject(\TYPO3\CMS\Extbase\Persistence\ObjectStorage $project)
    {
        $this->project = $project;
    }
}
