<?php
namespace Mm\Filapp\Domain\Repository;


/***
 *
 * This file is part of the "FirstInvestLocal" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2020 Andreas Jud <ajud@millemedia.de>, Millemedia GmbH
 *
 ***/
/**
 * The repository for Projects
 */
class ProjectRepository extends \TYPO3\CMS\Extbase\Persistence\Repository
{

    /**
     * @var array
     */
    protected $defaultOrderings = ['sorting' => \TYPO3\CMS\Extbase\Persistence\QueryInterface::ORDER_ASCENDING];

    /**
     * @param $sbranch
     * @param $szone
     * @param $svolumeFrom
     * @param $svolumeTo
     */
    public function findBySearch($sbranch = null, $szone = null, $svolumeFrom = null, $svolumeTo = null)
    {
        $query = $this->createQuery();
        $constraints = [];
        if ($sbranch) {
            $constraints[] = $query->equals('branch', $sbranch);
        }
        if ($szone) {
            $constraints[] = $query->equals('zone', $szone);
        }
        if ($svolumeTo) {
            $constraints[] = $query->greaterThanOrEqual('amountRequest', $svolumeFrom);
            $constraints[] = $query->lessThanOrEqual('amountRequest', $svolumeTo);
        }
        $query->matching($query->logicalAnd($constraints));
        return $query->execute();
    }
}
