<?php
return [
    'ctrl' => [
        'title' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project',
        'label' => 'company_name',
        'tstamp' => 'tstamp',
        'crdate' => 'crdate',
        'cruser_id' => 'cruser_id',
        'sortby' => 'sorting',
        'versioningWS' => true,
        'languageField' => 'sys_language_uid',
        'transOrigPointerField' => 'l10n_parent',
        'transOrigDiffSourceField' => 'l10n_diffsource',
        'delete' => 'deleted',
        'enablecolumns' => [
            'disabled' => 'hidden',
            'starttime' => 'starttime',
            'endtime' => 'endtime',
        ],
        'searchFields' => 'company_name,address1,address2,zip,city,invest_relationship,managing_director,email,title,teaser,description,description_investment',
        'iconfile' => 'EXT:filapp/Resources/Public/Icons/tx_filapp_domain_model_project.gif'
    ],
    'interface' => [
        'showRecordFieldList' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, company_name, address1, address2, zip, city, employees, last_year, rev_last_year, prof_last_year, year2, rev_year2, prof_year2, year3, rev_year3, prof_year3, amount_request, invest_relationship, managing_director, email, title, teaser, description, description_investment, images, videos, documents, companytype, branch, feuser, country, zone',
    ],
    'types' => [
        '1' => ['showitem' => 'sys_language_uid, l10n_parent, l10n_diffsource, hidden, company_name, address1, address2, zip, city, employees, last_year, rev_last_year, prof_last_year, year2, rev_year2, prof_year2, year3, rev_year3, prof_year3, amount_request, invest_relationship, managing_director, email, title, teaser, description, description_investment, images, videos, documents, companytype, branch, feuser, country, zone, --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access, starttime, endtime'],
    ],
    'columns' => [
        'sys_language_uid' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.language',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'special' => 'languages',
                'items' => [
                    [
                        'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.allLanguages',
                        -1,
                        'flags-multiple'
                    ]
                ],
                'default' => 0,
            ],
        ],
        'l10n_parent' => [
            'displayCond' => 'FIELD:sys_language_uid:>:0',
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.l18n_parent',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'default' => 0,
                'items' => [
                    ['', 0],
                ],
                'foreign_table' => 'tx_filapp_domain_model_project',
                'foreign_table_where' => 'AND {#tx_filapp_domain_model_project}.{#pid}=###CURRENT_PID### AND {#tx_filapp_domain_model_project}.{#sys_language_uid} IN (-1,0)',
            ],
        ],
        'l10n_diffsource' => [
            'config' => [
                'type' => 'passthrough',
            ],
        ],
        't3ver_label' => [
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.versionLabel',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'max' => 255,
            ],
        ],
        'hidden' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.visible',
            'config' => [
                'type' => 'check',
                'renderType' => 'checkboxToggle',
                'items' => [
                    [
                        0 => '',
                        1 => '',
                        'invertStateDisplay' => true
                    ]
                ],
            ],
        ],
        'starttime' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.starttime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'eval' => 'datetime,int',
                'default' => 0,
                'behaviour' => [
                    'allowLanguageSynchronization' => true
                ]
            ],
        ],
        'endtime' => [
            'exclude' => true,
            'label' => 'LLL:EXT:core/Resources/Private/Language/locallang_general.xlf:LGL.endtime',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'eval' => 'datetime,int',
                'default' => 0,
                'range' => [
                    'upper' => mktime(0, 0, 0, 1, 1, 2038)
                ],
                'behaviour' => [
                    'allowLanguageSynchronization' => true
                ]
            ],
        ],

        'company_name' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.company_name',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'address1' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.address1',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'address2' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.address2',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'zip' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.zip',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'city' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.city',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'employees' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.employees',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'last_year' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.last_year',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 10,
                'eval' => 'datetime',
                'default' => time()
            ],
        ],
        'rev_last_year' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.rev_last_year',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'prof_last_year' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.prof_last_year',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'year2' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.year2',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 10,
                'eval' => 'datetime',
                'default' => time()
            ],
        ],
        'rev_year2' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.rev_year2',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'prof_year2' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.prof_year2',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'year3' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.year3',
            'config' => [
                'type' => 'input',
                'renderType' => 'inputDateTime',
                'size' => 10,
                'eval' => 'datetime',
                'default' => time()
            ],
        ],
        'rev_year3' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.rev_year3',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'prof_year3' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.prof_year3',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'amount_request' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.amount_request',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'double2'
            ]
        ],
        'invest_relationship' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.invest_relationship',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'managing_director' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.managing_director',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'email' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.email',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'title' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.title',
            'config' => [
                'type' => 'input',
                'size' => 30,
                'eval' => 'trim'
            ],
        ],
        'teaser' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.teaser',
            'config' => [
                'type' => 'text',
                'enableRichtext' => true,
                'richtextConfiguration' => 'default',
                'fieldControl' => [
                    'fullScreenRichtext' => [
                        'disabled' => false,
                    ],
                ],
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim',
            ],
            
        ],
        'description' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.description',
            'config' => [
                'type' => 'text',
                'enableRichtext' => true,
                'richtextConfiguration' => 'default',
                'fieldControl' => [
                    'fullScreenRichtext' => [
                        'disabled' => false,
                    ],
                ],
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim',
            ],
            
        ],
        'description_investment' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.description_investment',
            'config' => [
                'type' => 'text',
                'enableRichtext' => true,
                'richtextConfiguration' => 'default',
                'fieldControl' => [
                    'fullScreenRichtext' => [
                        'disabled' => false,
                    ],
                ],
                'cols' => 40,
                'rows' => 15,
                'eval' => 'trim',
            ],
            
        ],
        'images' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.images',
            'config' => 
            \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
                'images',
                [
                    'appearance' => [
                        'createNewRelationLinkTitle' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:images.addFileReference'
                    ],
                    'foreign_types' => [
                        '0' => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ]
                    ],
                    'foreign_match_fields' => [
                        'fieldname' => 'images',
                        'tablenames' => 'tx_filapp_domain_model_project',
                        'table_local' => 'sys_file',
                    ],
                    'maxitems' => 20
                ],
                $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
            ),

        ],
        'videos' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.videos',
            'config' => 
            \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
                'videos',
                [
                    'appearance' => [
                        'createNewRelationLinkTitle' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:images.addFileReference'
                    ],
                    'foreign_types' => [
                        '0' => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ]
                    ],
                    'foreign_match_fields' => [
                        'fieldname' => 'videos',
                        'tablenames' => 'tx_filapp_domain_model_project',
                        'table_local' => 'sys_file',
                    ],
                    'maxitems' => 5
                ],
                $GLOBALS['TYPO3_CONF_VARS']['GFX']['imagefile_ext']
            ),

        ],
        'documents' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.documents',
            'config' => 
            \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::getFileFieldTCAConfig(
                'documents',
                [
                    'appearance' => [
                        'createNewRelationLinkTitle' => 'LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:media.addFileReference'
                    ],
                    'foreign_types' => [
                        '0' => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_TEXT => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_IMAGE => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_AUDIO => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_VIDEO => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ],
                        \TYPO3\CMS\Core\Resource\File::FILETYPE_APPLICATION => [
                            'showitem' => '
                            --palette--;LLL:EXT:lang/locallang_tca.xlf:sys_file_reference.imageoverlayPalette;imageoverlayPalette,
                            --palette--;;filePalette'
                        ]
                    ],
                    'foreign_match_fields' => [
                        'fieldname' => 'documents',
                        'tablenames' => 'tx_filapp_domain_model_project',
                        'table_local' => 'sys_file',
                    ],
                    'maxitems' => 20
                ]
            ),

        ],
        'companytype' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.companytype',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'tx_filapp_domain_model_companytype',
                'default' => 0,
                'minitems' => 0,
                'maxitems' => 1,
            ],

        ],
        'branch' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.branch',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'tx_filapp_domain_model_branch',
                'default' => 0,
                'minitems' => 0,
                'maxitems' => 1,
            ],

        ],
        'feuser' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.feuser',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'fe_users',
                'default' => 0,
                'minitems' => 0,
                'maxitems' => 1,
            ],

        ],
        'country' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.country',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'static_countries',
                'default' => 0,
                'minitems' => 0,
                'maxitems' => 1,
            ],

        ],
        'zone' => [
            'exclude' => true,
            'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_project.zone',
            'config' => [
                'type' => 'select',
                'renderType' => 'selectSingle',
                'foreign_table' => 'static_country_zones',
                'default' => 0,
                'minitems' => 0,
                'maxitems' => 1,
            ],

        ],
    
    ],
];
