<?php
defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function()
    {

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'Mm.Filapp',
            'Project',
            [
                'Project' => 'list, show, new, create, edit, update'
            ],
            // non-cacheable actions
            [
                'Project' => 'create, update'
            ]
        );

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'Mm.Filapp',
            'Display',
            [
                'Display' => 'listOpen, showOpen'
            ],
            // non-cacheable actions
            [
                'Project' => 'create, update, '
            ]
        );

        // wizards
        \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
            'mod {
                wizards.newContentElement.wizardItems.plugins {
                    elements {
                        project {
                            iconIdentifier = filapp-plugin-project
                            title = LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_project.name
                            description = LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_project.description
                            tt_content_defValues {
                                CType = list
                                list_type = filapp_project
                            }
                        }
                        display {
                            iconIdentifier = filapp-plugin-display
                            title = LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_display.name
                            description = LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_display.description
                            tt_content_defValues {
                                CType = list
                                list_type = filapp_display
                            }
                        }
                    }
                    show = *
                }
           }'
        );
		$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
		
			$iconRegistry->registerIcon(
				'filapp-plugin-project',
				\TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
				['source' => 'EXT:filapp/Resources/Public/Icons/user_plugin_project.svg']
			);
		
			$iconRegistry->registerIcon(
				'filapp-plugin-display',
				\TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
				['source' => 'EXT:filapp/Resources/Public/Icons/user_plugin_display.svg']
			);
		
    }
);
## EXTENSION BUILDER DEFAULTS END TOKEN - Everything BEFORE this line is overwritten with the defaults of the extension builder

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerTypeConverter('Mm\\Filapp\\Property\\TypeConverter\\UploadedFileReferenceConverter');
\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerTypeConverter('Mm\\Filapp\\Property\\TypeConverter\\ObjectStorageConverter');