<?php
namespace Mm\Filapp\Domain\Model;


/***
 *
 * This file is part of the "FirstInvestLocal" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2020 Andreas Jud <ajud@millemedia.de>, Millemedia GmbH
 *
 ***/
/**
 * Project
 */
class Project extends \TYPO3\CMS\Extbase\DomainObject\AbstractEntity
{

    /**
     * companyName
     * 
     * @var string
     */
    protected $companyName = '';

    /**
     * address1
     * 
     * @var string
     */
    protected $address1 = '';

    /**
     * address2
     * 
     * @var string
     */
    protected $address2 = '';

    /**
     * zip
     * 
     * @var string
     */
    protected $zip = '';

    /**
     * city
     * 
     * @var string
     */
    protected $city = '';

    /**
     * employees
     * 
     * @var float
     */
    protected $employees = 0.0;

    /**
     * lastYear
     * 
     * @var \DateTime
     */
    protected $lastYear = null;

    /**
     * revLastYear
     * 
     * @var float
     */
    protected $revLastYear = 0.0;

    /**
     * profLastYear
     * 
     * @var float
     */
    protected $profLastYear = 0.0;

    /**
     * year2
     * 
     * @var \DateTime
     */
    protected $year2 = null;

    /**
     * revYear2
     * 
     * @var float
     */
    protected $revYear2 = 0.0;

    /**
     * profYear2
     * 
     * @var float
     */
    protected $profYear2 = 0.0;

    /**
     * year3
     * 
     * @var \DateTime
     */
    protected $year3 = null;

    /**
     * revYear3
     * 
     * @var float
     */
    protected $revYear3 = 0.0;

    /**
     * profYear3
     * 
     * @var float
     */
    protected $profYear3 = 0.0;

    /**
     * amountRequest
     * 
     * @var float
     */
    protected $amountRequest = 0.0;

    /**
     * investRelationship
     * 
     * @var string
     */
    protected $investRelationship = '';

    /**
     * managingDirector
     * 
     * @var string
     */
    protected $managingDirector = '';

    /**
     * email
     * 
     * @var string
     */
    protected $email = '';

    /**
     * title
     * 
     * @var string
     */
    protected $title = '';

    /**
     * teaser
     * 
     * @var string
     */
    protected $teaser = '';

    /**
     * description
     * 
     * @var string
     */
    protected $description = '';

    /**
     * descriptionInvestment
     * 
     * @var string
     */
    protected $descriptionInvestment = '';

    /**
     * companytype
     * 
     * @var \Mm\Filapp\Domain\Model\Companytype
     */
    protected $companytype = null;

    /**
     * branch
     * 
     * @var \Mm\Filapp\Domain\Model\Branch
     */
    protected $branch = null;

    /**
     * feuser
     * 
     * @var \Mm\Filapp\Domain\Model\Feuser
     */
    protected $feuser = null;

    /**
     * country
     * 
     * @var \Mm\Filapp\Domain\Model\Country
     */
    protected $country = null;

    /**
     * zone
     * 
     * @var \Mm\Filapp\Domain\Model\Zone
     */
    protected $zone = null;

    /**
     * Returns the companyName
     * 
     * @return string $companyName
     */
    public function getCompanyName()
    {
        return $this->companyName;
    }

    /**
     * Sets the companyName
     * 
     * @param string $companyName
     * @return void
     */
    public function setCompanyName($companyName)
    {
        $this->companyName = $companyName;
    }

    /**
     * Returns the address1
     * 
     * @return string $address1
     */
    public function getAddress1()
    {
        return $this->address1;
    }

    /**
     * Sets the address1
     * 
     * @param string $address1
     * @return void
     */
    public function setAddress1($address1)
    {
        $this->address1 = $address1;
    }

    /**
     * Returns the address2
     * 
     * @return string $address2
     */
    public function getAddress2()
    {
        return $this->address2;
    }

    /**
     * Sets the address2
     * 
     * @param string $address2
     * @return void
     */
    public function setAddress2($address2)
    {
        $this->address2 = $address2;
    }

    /**
     * Returns the zip
     * 
     * @return string $zip
     */
    public function getZip()
    {
        return $this->zip;
    }

    /**
     * Sets the zip
     * 
     * @param string $zip
     * @return void
     */
    public function setZip($zip)
    {
        $this->zip = $zip;
    }

    /**
     * Returns the city
     * 
     * @return string $city
     */
    public function getCity()
    {
        return $this->city;
    }

    /**
     * Sets the city
     * 
     * @param string $city
     * @return void
     */
    public function setCity($city)
    {
        $this->city = $city;
    }

    /**
     * Returns the employees
     * 
     * @return float $employees
     */
    public function getEmployees()
    {
        return $this->employees;
    }

    /**
     * Sets the employees
     * 
     * @param float $employees
     * @return void
     */
    public function setEmployees($employees)
    {
        $this->employees = $employees;
    }

    /**
     * Returns the lastYear
     * 
     * @return \DateTime $lastYear
     */
    public function getLastYear()
    {
        return $this->lastYear;
    }

    /**
     * Sets the lastYear
     * 
     * @param \DateTime $lastYear
     * @return void
     */
    public function setLastYear(\DateTime $lastYear)
    {
        $this->lastYear = $lastYear;
    }

    /**
     * Returns the revLastYear
     * 
     * @return float $revLastYear
     */
    public function getRevLastYear()
    {
        return $this->revLastYear;
    }

    /**
     * Sets the revLastYear
     * 
     * @param float $revLastYear
     * @return void
     */
    public function setRevLastYear($revLastYear)
    {
        $this->revLastYear = $revLastYear;
    }

    /**
     * Returns the profLastYear
     * 
     * @return float $profLastYear
     */
    public function getProfLastYear()
    {
        return $this->profLastYear;
    }

    /**
     * Sets the profLastYear
     * 
     * @param float $profLastYear
     * @return void
     */
    public function setProfLastYear($profLastYear)
    {
        $this->profLastYear = $profLastYear;
    }

    /**
     * Returns the year2
     * 
     * @return \DateTime $year2
     */
    public function getYear2()
    {
        return $this->year2;
    }

    /**
     * Sets the year2
     * 
     * @param \DateTime $year2
     * @return void
     */
    public function setYear2(\DateTime $year2)
    {
        $this->year2 = $year2;
    }

    /**
     * Returns the revYear2
     * 
     * @return float $revYear2
     */
    public function getRevYear2()
    {
        return $this->revYear2;
    }

    /**
     * Sets the revYear2
     * 
     * @param float $revYear2
     * @return void
     */
    public function setRevYear2($revYear2)
    {
        $this->revYear2 = $revYear2;
    }

    /**
     * Returns the profYear2
     * 
     * @return float $profYear2
     */
    public function getProfYear2()
    {
        return $this->profYear2;
    }

    /**
     * Sets the profYear2
     * 
     * @param float $profYear2
     * @return void
     */
    public function setProfYear2($profYear2)
    {
        $this->profYear2 = $profYear2;
    }

    /**
     * Returns the year3
     * 
     * @return \DateTime $year3
     */
    public function getYear3()
    {
        return $this->year3;
    }

    /**
     * Sets the year3
     * 
     * @param \DateTime $year3
     * @return void
     */
    public function setYear3(\DateTime $year3)
    {
        $this->year3 = $year3;
    }

    /**
     * Returns the revYear3
     * 
     * @return float $revYear3
     */
    public function getRevYear3()
    {
        return $this->revYear3;
    }

    /**
     * Sets the revYear3
     * 
     * @param float $revYear3
     * @return void
     */
    public function setRevYear3($revYear3)
    {
        $this->revYear3 = $revYear3;
    }

    /**
     * Returns the profYear3
     * 
     * @return float $profYear3
     */
    public function getProfYear3()
    {
        return $this->profYear3;
    }

    /**
     * Sets the profYear3
     * 
     * @param float $profYear3
     * @return void
     */
    public function setProfYear3($profYear3)
    {
        $this->profYear3 = $profYear3;
    }

    /**
     * Returns the amountRequest
     * 
     * @return float $amountRequest
     */
    public function getAmountRequest()
    {
        return $this->amountRequest;
    }

    /**
     * Sets the amountRequest
     * 
     * @param float $amountRequest
     * @return void
     */
    public function setAmountRequest($amountRequest)
    {
        $this->amountRequest = $amountRequest;
    }

    /**
     * Returns the investRelationship
     * 
     * @return string $investRelationship
     */
    public function getInvestRelationship()
    {
        return $this->investRelationship;
    }

    /**
     * Sets the investRelationship
     * 
     * @param string $investRelationship
     * @return void
     */
    public function setInvestRelationship($investRelationship)
    {
        $this->investRelationship = $investRelationship;
    }

    /**
     * Returns the managingDirector
     * 
     * @return string $managingDirector
     */
    public function getManagingDirector()
    {
        return $this->managingDirector;
    }

    /**
     * Sets the managingDirector
     * 
     * @param string $managingDirector
     * @return void
     */
    public function setManagingDirector($managingDirector)
    {
        $this->managingDirector = $managingDirector;
    }

    /**
     * Returns the email
     * 
     * @return string $email
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * Sets the email
     * 
     * @param string $email
     * @return void
     */
    public function setEmail($email)
    {
        $this->email = $email;
    }

    /**
     * Returns the teaser
     * 
     * @return string $teaser
     */
    public function getTeaser()
    {
        return $this->teaser;
    }

    /**
     * Sets the teaser
     * 
     * @param string $teaser
     * @return void
     */
    public function setTeaser($teaser)
    {
        $this->teaser = $teaser;
    }

    /**
     * Returns the descriptionInvestment
     * 
     * @return string $descriptionInvestment
     */
    public function getDescriptionInvestment()
    {
        return $this->descriptionInvestment;
    }

    /**
     * Sets the descriptionInvestment
     * 
     * @param string $descriptionInvestment
     * @return void
     */
    public function setDescriptionInvestment($descriptionInvestment)
    {
        $this->descriptionInvestment = $descriptionInvestment;
    }

    /**
     * Returns the companytype
     * 
     * @return \Mm\Filapp\Domain\Model\Companytype $companytype
     */
    public function getCompanytype()
    {
        return $this->companytype;
    }

    /**
     * Sets the companytype
     * 
     * @param \Mm\Filapp\Domain\Model\Companytype $companytype
     * @return void
     */
    public function setCompanytype(\Mm\Filapp\Domain\Model\Companytype $companytype)
    {
        $this->companytype = $companytype;
    }

    /**
     * Returns the branch
     * 
     * @return \Mm\Filapp\Domain\Model\Branch $branch
     */
    public function getBranch()
    {
        return $this->branch;
    }

    /**
     * Sets the branch
     * 
     * @param \Mm\Filapp\Domain\Model\Branch $branch
     * @return void
     */
    public function setBranch(\Mm\Filapp\Domain\Model\Branch $branch)
    {
        $this->branch = $branch;
    }

    /**
     * Returns the feuser
     * 
     * @return \Mm\Filapp\Domain\Model\Feuser $feuser
     */
    public function getFeuser()
    {
        return $this->feuser;
    }

    /**
     * Sets the feuser
     * 
     * @param \Mm\Filapp\Domain\Model\Feuser $feuser
     * @return void
     */
    public function setFeuser(\Mm\Filapp\Domain\Model\Feuser $feuser)
    {
        $this->feuser = $feuser;
    }

    /**
     * Returns the description
     * 
     * @return string description
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * Sets the description
     * 
     * @param string $description
     * @return void
     */
    public function setDescription($description)
    {
        $this->description = $description;
    }

    /**
     * Returns the title
     * 
     * @return string title
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * Sets the title
     * 
     * @param string $title
     * @return void
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }

    /**
     * Returns the country
     * 
     * @return \Mm\Filapp\Domain\Model\Country $country
     */
    public function getCountry()
    {
        return $this->country;
    }

    /**
     * Sets the country
     * 
     * @param \Mm\Filapp\Domain\Model\Country $country
     * @return void
     */
    public function setCountry(\Mm\Filapp\Domain\Model\Country $country)
    {
        $this->country = $country;
    }

    /**
     * Returns the zone
     * 
     * @return \Mm\Filapp\Domain\Model\Zone $zone
     */
    public function getZone()
    {
        return $this->zone;
    }

    /**
     * Sets the zone
     * 
     * @param \Mm\Filapp\Domain\Model\Zone $zone
     * @return void
     */
    public function setZone(\Mm\Filapp\Domain\Model\Zone $zone)
    {
        $this->zone = $zone;
    }
}
