<?php
defined('TYPO3_MODE') || die();

if (!isset($GLOBALS['TCA']['fe_users']['ctrl']['type'])) {
    // no type field defined, so we define it here. This will only happen the first time the extension is installed!!
    $GLOBALS['TCA']['fe_users']['ctrl']['type'] = 'tx_extbase_type';
    $tempColumnstx_filapp_fe_users = [];
    $tempColumnstx_filapp_fe_users[$GLOBALS['TCA']['fe_users']['ctrl']['type']] = [
        'exclude' => true,
        'label'   => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp.tx_extbase_type',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => [
                ['',''],
                ['Feuser','Tx_Filapp_Feuser']
            ],
            'default' => 'Tx_Filapp_Feuser',
            'size' => 1,
            'maxitems' => 1,
        ]
    ];
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('fe_users', $tempColumnstx_filapp_fe_users);
}

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
    'fe_users',
    $GLOBALS['TCA']['fe_users']['ctrl']['type'],
    '',
    'after:' . $GLOBALS['TCA']['fe_users']['ctrl']['label']
);

$tmp_filapp_columns = [

    'fil_type' => [
        'exclude' => true,
        'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_feuser.fil_type',
        'config' => [
            'type' => 'input',
            'size' => 4,
            'eval' => 'int'
        ]
    ],
    'project' => [
        'exclude' => true,
        'label' => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_feuser.project',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectMultipleSideBySide',
            'foreign_table' => 'tx_filapp_domain_model_project',
            'MM' => 'tx_filapp_feuser_project_mm',
            'size' => 10,
            'autoSizeMax' => 30,
            'maxitems' => 9999,
            'multiple' => 0,
            'fieldControl' => [
                'editPopup' => [
                    'disabled' => false,
                ],
                'addRecord' => [
                    'disabled' => false,
                ],
                'listModule' => [
                    'disabled' => true,
                ],
            ],
        ],
        
    ],

];

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('fe_users',$tmp_filapp_columns);

/* inherit and extend the show items from the parent class */

if (isset($GLOBALS['TCA']['fe_users']['types']['0']['showitem'])) {
    $GLOBALS['TCA']['fe_users']['types']['Tx_Filapp_Feuser']['showitem'] = $GLOBALS['TCA']['fe_users']['types']['0']['showitem'];
} elseif(is_array($GLOBALS['TCA']['fe_users']['types'])) {
    // use first entry in types array
    $fe_users_type_definition = reset($GLOBALS['TCA']['fe_users']['types']);
    $GLOBALS['TCA']['fe_users']['types']['Tx_Filapp_Feuser']['showitem'] = $fe_users_type_definition['showitem'];
} else {
    $GLOBALS['TCA']['fe_users']['types']['Tx_Filapp_Feuser']['showitem'] = '';
}
$GLOBALS['TCA']['fe_users']['types']['Tx_Filapp_Feuser']['showitem'] .= ',--div--;LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_feuser,';
$GLOBALS['TCA']['fe_users']['types']['Tx_Filapp_Feuser']['showitem'] .= 'fil_type, project';

$GLOBALS['TCA']['fe_users']['columns'][$GLOBALS['TCA']['fe_users']['ctrl']['type']]['config']['items'][] = ['LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:fe_users.tx_extbase_type.Tx_Filapp_Feuser','Tx_Filapp_Feuser'];
