<?php
defined('TYPO3_MODE') || die();

if (!isset($GLOBALS['TCA']['static_country_zones']['ctrl']['type'])) {
    // no type field defined, so we define it here. This will only happen the first time the extension is installed!!
    $GLOBALS['TCA']['static_country_zones']['ctrl']['type'] = 'tx_extbase_type';
    $tempColumnstx_filapp_static_country_zones = [];
    $tempColumnstx_filapp_static_country_zones[$GLOBALS['TCA']['static_country_zones']['ctrl']['type']] = [
        'exclude' => true,
        'label'   => 'LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp.tx_extbase_type',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => [
                ['',''],
                ['Zone','Tx_Filapp_Zone']
            ],
            'default' => 'Tx_Filapp_Zone',
            'size' => 1,
            'maxitems' => 1,
        ]
    ];
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('static_country_zones', $tempColumnstx_filapp_static_country_zones);
}

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
    'static_country_zones',
    $GLOBALS['TCA']['static_country_zones']['ctrl']['type'],
    '',
    'after:' . $GLOBALS['TCA']['static_country_zones']['ctrl']['label']
);

/* inherit and extend the show items from the parent class */

if (isset($GLOBALS['TCA']['static_country_zones']['types']['1']['showitem'])) {
    $GLOBALS['TCA']['static_country_zones']['types']['Tx_Filapp_Zone']['showitem'] = $GLOBALS['TCA']['static_country_zones']['types']['1']['showitem'];
} elseif(is_array($GLOBALS['TCA']['static_country_zones']['types'])) {
    // use first entry in types array
    $static_country_zones_type_definition = reset($GLOBALS['TCA']['static_country_zones']['types']);
    $GLOBALS['TCA']['static_country_zones']['types']['Tx_Filapp_Zone']['showitem'] = $static_country_zones_type_definition['showitem'];
} else {
    $GLOBALS['TCA']['static_country_zones']['types']['Tx_Filapp_Zone']['showitem'] = '';
}
$GLOBALS['TCA']['static_country_zones']['types']['Tx_Filapp_Zone']['showitem'] .= ',--div--;LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:tx_filapp_domain_model_zone,';
$GLOBALS['TCA']['static_country_zones']['types']['Tx_Filapp_Zone']['showitem'] .= '';

$GLOBALS['TCA']['static_country_zones']['columns'][$GLOBALS['TCA']['static_country_zones']['ctrl']['type']]['config']['items'][] = ['LLL:EXT:filapp/Resources/Private/Language/locallang_db.xlf:static_country_zones.tx_extbase_type.Tx_Filapp_Zone','Tx_Filapp_Zone'];
