<?php
namespace Mm\Filapp\Tests\Unit\Domain\Model;

/**
 * Test case.
 *
 * @author Andreas Jud <ajud@millemedia.de>
 */
class ProjectTest extends \TYPO3\TestingFramework\Core\Unit\UnitTestCase
{
    /**
     * @var \Mm\Filapp\Domain\Model\Project
     */
    protected $subject = null;

    protected function setUp()
    {
        parent::setUp();
        $this->subject = new \Mm\Filapp\Domain\Model\Project();
    }

    protected function tearDown()
    {
        parent::tearDown();
    }

    /**
     * @test
     */
    public function getCompanyNameReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getCompanyName()
        );
    }

    /**
     * @test
     */
    public function setCompanyNameForStringSetsCompanyName()
    {
        $this->subject->setCompanyName('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'companyName',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getAddress1ReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getAddress1()
        );
    }

    /**
     * @test
     */
    public function setAddress1ForStringSetsAddress1()
    {
        $this->subject->setAddress1('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'address1',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getAddress2ReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getAddress2()
        );
    }

    /**
     * @test
     */
    public function setAddress2ForStringSetsAddress2()
    {
        $this->subject->setAddress2('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'address2',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getZipReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getZip()
        );
    }

    /**
     * @test
     */
    public function setZipForStringSetsZip()
    {
        $this->subject->setZip('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'zip',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getCityReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getCity()
        );
    }

    /**
     * @test
     */
    public function setCityForStringSetsCity()
    {
        $this->subject->setCity('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'city',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getEmployeesReturnsInitialValueForFloat()
    {
        self::assertSame(
            0.0,
            $this->subject->getEmployees()
        );
    }

    /**
     * @test
     */
    public function setEmployeesForFloatSetsEmployees()
    {
        $this->subject->setEmployees(3.14159265);

        self::assertAttributeEquals(
            3.14159265,
            'employees',
            $this->subject,
            '',
            0.000000001
        );
    }

    /**
     * @test
     */
    public function getLastYearReturnsInitialValueForDateTime()
    {
        self::assertEquals(
            null,
            $this->subject->getLastYear()
        );
    }

    /**
     * @test
     */
    public function setLastYearForDateTimeSetsLastYear()
    {
        $dateTimeFixture = new \DateTime();
        $this->subject->setLastYear($dateTimeFixture);

        self::assertAttributeEquals(
            $dateTimeFixture,
            'lastYear',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getRevLastYearReturnsInitialValueForFloat()
    {
        self::assertSame(
            0.0,
            $this->subject->getRevLastYear()
        );
    }

    /**
     * @test
     */
    public function setRevLastYearForFloatSetsRevLastYear()
    {
        $this->subject->setRevLastYear(3.14159265);

        self::assertAttributeEquals(
            3.14159265,
            'revLastYear',
            $this->subject,
            '',
            0.000000001
        );
    }

    /**
     * @test
     */
    public function getProfLastYearReturnsInitialValueForFloat()
    {
        self::assertSame(
            0.0,
            $this->subject->getProfLastYear()
        );
    }

    /**
     * @test
     */
    public function setProfLastYearForFloatSetsProfLastYear()
    {
        $this->subject->setProfLastYear(3.14159265);

        self::assertAttributeEquals(
            3.14159265,
            'profLastYear',
            $this->subject,
            '',
            0.000000001
        );
    }

    /**
     * @test
     */
    public function getYear2ReturnsInitialValueForDateTime()
    {
        self::assertEquals(
            null,
            $this->subject->getYear2()
        );
    }

    /**
     * @test
     */
    public function setYear2ForDateTimeSetsYear2()
    {
        $dateTimeFixture = new \DateTime();
        $this->subject->setYear2($dateTimeFixture);

        self::assertAttributeEquals(
            $dateTimeFixture,
            'year2',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getRevYear2ReturnsInitialValueForFloat()
    {
        self::assertSame(
            0.0,
            $this->subject->getRevYear2()
        );
    }

    /**
     * @test
     */
    public function setRevYear2ForFloatSetsRevYear2()
    {
        $this->subject->setRevYear2(3.14159265);

        self::assertAttributeEquals(
            3.14159265,
            'revYear2',
            $this->subject,
            '',
            0.000000001
        );
    }

    /**
     * @test
     */
    public function getProfYear2ReturnsInitialValueForFloat()
    {
        self::assertSame(
            0.0,
            $this->subject->getProfYear2()
        );
    }

    /**
     * @test
     */
    public function setProfYear2ForFloatSetsProfYear2()
    {
        $this->subject->setProfYear2(3.14159265);

        self::assertAttributeEquals(
            3.14159265,
            'profYear2',
            $this->subject,
            '',
            0.000000001
        );
    }

    /**
     * @test
     */
    public function getYear3ReturnsInitialValueForDateTime()
    {
        self::assertEquals(
            null,
            $this->subject->getYear3()
        );
    }

    /**
     * @test
     */
    public function setYear3ForDateTimeSetsYear3()
    {
        $dateTimeFixture = new \DateTime();
        $this->subject->setYear3($dateTimeFixture);

        self::assertAttributeEquals(
            $dateTimeFixture,
            'year3',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getRevYear3ReturnsInitialValueForFloat()
    {
        self::assertSame(
            0.0,
            $this->subject->getRevYear3()
        );
    }

    /**
     * @test
     */
    public function setRevYear3ForFloatSetsRevYear3()
    {
        $this->subject->setRevYear3(3.14159265);

        self::assertAttributeEquals(
            3.14159265,
            'revYear3',
            $this->subject,
            '',
            0.000000001
        );
    }

    /**
     * @test
     */
    public function getProfYear3ReturnsInitialValueForFloat()
    {
        self::assertSame(
            0.0,
            $this->subject->getProfYear3()
        );
    }

    /**
     * @test
     */
    public function setProfYear3ForFloatSetsProfYear3()
    {
        $this->subject->setProfYear3(3.14159265);

        self::assertAttributeEquals(
            3.14159265,
            'profYear3',
            $this->subject,
            '',
            0.000000001
        );
    }

    /**
     * @test
     */
    public function getAmountRequestReturnsInitialValueForFloat()
    {
        self::assertSame(
            0.0,
            $this->subject->getAmountRequest()
        );
    }

    /**
     * @test
     */
    public function setAmountRequestForFloatSetsAmountRequest()
    {
        $this->subject->setAmountRequest(3.14159265);

        self::assertAttributeEquals(
            3.14159265,
            'amountRequest',
            $this->subject,
            '',
            0.000000001
        );
    }

    /**
     * @test
     */
    public function getInvestRelationshipReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getInvestRelationship()
        );
    }

    /**
     * @test
     */
    public function setInvestRelationshipForStringSetsInvestRelationship()
    {
        $this->subject->setInvestRelationship('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'investRelationship',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getManagingDirectorReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getManagingDirector()
        );
    }

    /**
     * @test
     */
    public function setManagingDirectorForStringSetsManagingDirector()
    {
        $this->subject->setManagingDirector('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'managingDirector',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getEmailReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getEmail()
        );
    }

    /**
     * @test
     */
    public function setEmailForStringSetsEmail()
    {
        $this->subject->setEmail('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'email',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getTitleReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getTitle()
        );
    }

    /**
     * @test
     */
    public function setTitleForStringSetsTitle()
    {
        $this->subject->setTitle('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'title',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getTeaserReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getTeaser()
        );
    }

    /**
     * @test
     */
    public function setTeaserForStringSetsTeaser()
    {
        $this->subject->setTeaser('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'teaser',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getDescriptionReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getDescription()
        );
    }

    /**
     * @test
     */
    public function setDescriptionForStringSetsDescription()
    {
        $this->subject->setDescription('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'description',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getDescriptionInvestmentReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getDescriptionInvestment()
        );
    }

    /**
     * @test
     */
    public function setDescriptionInvestmentForStringSetsDescriptionInvestment()
    {
        $this->subject->setDescriptionInvestment('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'descriptionInvestment',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getCompanytypeReturnsInitialValueForCompanytype()
    {
        self::assertEquals(
            null,
            $this->subject->getCompanytype()
        );
    }

    /**
     * @test
     */
    public function setCompanytypeForCompanytypeSetsCompanytype()
    {
        $companytypeFixture = new \Mm\Filapp\Domain\Model\Companytype();
        $this->subject->setCompanytype($companytypeFixture);

        self::assertAttributeEquals(
            $companytypeFixture,
            'companytype',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getBranchReturnsInitialValueForBranch()
    {
        self::assertEquals(
            null,
            $this->subject->getBranch()
        );
    }

    /**
     * @test
     */
    public function setBranchForBranchSetsBranch()
    {
        $branchFixture = new \Mm\Filapp\Domain\Model\Branch();
        $this->subject->setBranch($branchFixture);

        self::assertAttributeEquals(
            $branchFixture,
            'branch',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getFeuserReturnsInitialValueForFeuser()
    {
        self::assertEquals(
            null,
            $this->subject->getFeuser()
        );
    }

    /**
     * @test
     */
    public function setFeuserForFeuserSetsFeuser()
    {
        $feuserFixture = new \Mm\Filapp\Domain\Model\Feuser();
        $this->subject->setFeuser($feuserFixture);

        self::assertAttributeEquals(
            $feuserFixture,
            'feuser',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getCountryReturnsInitialValueForCountry()
    {
        self::assertEquals(
            null,
            $this->subject->getCountry()
        );
    }

    /**
     * @test
     */
    public function setCountryForCountrySetsCountry()
    {
        $countryFixture = new \Mm\Filapp\Domain\Model\Country();
        $this->subject->setCountry($countryFixture);

        self::assertAttributeEquals(
            $countryFixture,
            'country',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getZoneReturnsInitialValueForZone()
    {
        self::assertEquals(
            null,
            $this->subject->getZone()
        );
    }

    /**
     * @test
     */
    public function setZoneForZoneSetsZone()
    {
        $zoneFixture = new \Mm\Filapp\Domain\Model\Zone();
        $this->subject->setZone($zoneFixture);

        self::assertAttributeEquals(
            $zoneFixture,
            'zone',
            $this->subject
        );
    }
}
