<?php
namespace Mm\Filapp\Tests\Unit\Domain\Model;

/**
 * Test case.
 *
 * @author Andreas Jud <ajud@millemedia.de>
 */
class VolumesTest extends \TYPO3\TestingFramework\Core\Unit\UnitTestCase
{
    /**
     * @var \Mm\Filapp\Domain\Model\Volumes
     */
    protected $subject = null;

    protected function setUp()
    {
        parent::setUp();
        $this->subject = new \Mm\Filapp\Domain\Model\Volumes();
    }

    protected function tearDown()
    {
        parent::tearDown();
    }

    /**
     * @test
     */
    public function getNameReturnsInitialValueForString()
    {
        self::assertSame(
            '',
            $this->subject->getName()
        );
    }

    /**
     * @test
     */
    public function setNameForStringSetsName()
    {
        $this->subject->setName('Conceived at T3CON10');

        self::assertAttributeEquals(
            'Conceived at T3CON10',
            'name',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getVolumeFromReturnsInitialValueForInt()
    {
        self::assertSame(
            0,
            $this->subject->getVolumeFrom()
        );
    }

    /**
     * @test
     */
    public function setVolumeFromForIntSetsVolumeFrom()
    {
        $this->subject->setVolumeFrom(12);

        self::assertAttributeEquals(
            12,
            'volumeFrom',
            $this->subject
        );
    }

    /**
     * @test
     */
    public function getVolumeToReturnsInitialValueForInt()
    {
        self::assertSame(
            0,
            $this->subject->getVolumeTo()
        );
    }

    /**
     * @test
     */
    public function setVolumeToForIntSetsVolumeTo()
    {
        $this->subject->setVolumeTo(12);

        self::assertAttributeEquals(
            12,
            'volumeTo',
            $this->subject
        );
    }
}
